package Factory;
 
public class Funcionario {
    private int codigo;
    private String nome;
    private String profissao;
    private String data;

    public Funcionario () {

    }

    public Funcionario (int codigoIn) {
          this.codigo = codigoIn;
    }

    public int getCodigo() {
          return this.codigo;
    }
    public void setCodigo(int codigoIn) {
          this.codigo = codigoIn;
    }

    public String getNome() {
          return this.nome;
    }
    public void setNome(String nomeIn) {
          this.nome = nomeIn;
    }

    public String getProfissao() {
          return this.profissao;
    }
    public void setProfissao(String profissaoIn) {
          this.profissao = profissaoIn;
    }

    public String getData() {
          return this.data;
    }
    public void setData(String dataIn) {
          this.data = dataIn;
    }

    public void setAll(int codigoIn,
          String nomeIn,
          String profissaoIn,
          String dataIn) {
          this.codigo = codigoIn;
          this.nome = nomeIn;
          this.profissao = profissaoIn;
          this.data = dataIn;
    }
}


